Adjust Qty

Adjust the quantity for an existing part.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Adjust Qty

Adjust the quantity for an existing part.

POST /ODataApi/v1/Parts('{name}')/AdjustQty

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/AdjustQty

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the part name or part ID.

Path parameter

ParameterTypeRequiredDescription
nameStringYesPart name or part ID for the existing part to adjust.

Request body fields

FieldData typeRequiredDescription
WarehouseIDStringYesWarehouse where you adjust the part quantity.
StockLocationStringYesStock location where you adjust the part quantity.
QuantityDecimalYesQuantity to adjust.
TransactionDateStringYesDate of the adjustment transaction.
ToAccountStringNoAccount receiving the adjustment.
FromAccountStringNoAccount used as the adjustment source.
NotesStringNoNotes for the adjustment transaction.

Example request

{
  "WarehouseID": "MAIN",
  "StockLocation": "A-01",
  "Quantity": 5,
  "TransactionDate": "2026-06-22",
  "ToAccount": "Inventory",
  "FromAccount": "Adjustments",
  "Notes": "Cycle count adjustment"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/AdjustQty

Response

A successful request returns a Boolean value:

true

Notes

  • The part must already exist before you call this endpoint.
  • Use single quotes around the part name or part ID in the endpoint URL.
  • Quantity is the adjustment amount.
  • Send TransactionDate in the date format expected by your MVP One environment.
Path Params
string
required

The part name or part ID.

Body Params
string
required

Warehouse where the part quantity is adjusted.

string
required

Stock location where the part quantity is adjusted.

number
required

Quantity to adjust.

string

Account receiving the adjustment.

string

Account used as the adjustment source.

string

Notes for the adjustment transaction.

string
required

Date of the adjustment transaction.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json